Nav

TRADACOMS EDI Connector Release Notes

The Anypoint Connector for TRADACOMS EDI provides read and write TRADACOMS messages functionality.

1.0.2 - April 27, 2017

Compatibility

Software Version

Mule Runtime

3.7.0

Java

7

Features

None.

Fixed in this Release

  • Unable to load metadata schemas - In the previous version, the metadata failed to get populated and displayed an error message similar to "Could not load schema /tradacoms/ORDERS.esl". This issue was caused by a dependency conflict between the EDI Parser version shipped with the connector (that contains a bugfix for TRADACOMS) and the one present in Mule Runtime 3.8.0 to 3.8.3 (that doesn’t include the fix). The present version solves the issue for all the runtimes. In addition, version 1.0.1 of the connector will still work if used with any of the 3.7.x runtimes or with the latest 3.8.4.

Known Issues

None.

1.0.1 - March 30, 2017

Compatibility

Software Version

Mule Runtime

3.7.0

Java

7

Features

None.

Fixed in this Release

  • Missing dependencies - Added the required Mule dependencies related to EDI schemas and B2B Provider.

Known Issues

None.

Version 1.0.0 - December 29, 2016

Compatibility

Software Version

Mule Runtime

3.7.0

Java

7

Features

  • Read TRADACOMS message - The connector provides the functionality to read TRADACOMS messages.

  • Write TRADACOMS message - The connector provides the functionality to write TRADACOMS messages.

1.0.0 Fixed in this Release

None.

1.0.0 Known Issues

None.

Support Resources